﻿namespace XamDataGridDynamicColumns
{
    using System;
    using System.Linq;
    using System.Windows;
    using System.Windows.Data;
    using Infragistics.Windows.DataPresenter;
    using Infragistics.Windows.DataPresenter.Events;

    /// <summary>
    ///     Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        public StaffMemberViewModel ViewModel
        {
            get { return this.DataContext as StaffMemberViewModel; }
        }

        private void xamDataGrid_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            //a cheat to get the number of columns to create.
            var staffMember = this.ViewModel.StaffMembers.First();

            for (Int32 i = 0; i < staffMember.Periods.Count; i++)
            {
                var field = new Field
                {
                    Name = staffMember.Periods[i].Title,
                };

                field.AllowEdit = false;

                field.Settings.EditAsType = typeof(Int32);

                e.FieldLayout.Fields.Add(field);
            }
        }
    }
}